Documentation>C API
Data Fields
VlFileMeta Struct Reference

Support for command line drivers - Definition. More...

`#include <generic-driver.h>`

## Data Fields

vl_bool | active
char | pattern [1024]
int | protocol
char | name [1024]
FILE * | file

## Detailed Description

File meta information type.

Author
  Andrea Vedaldi

This file contains support code which is shared by the command line drivers.

File meta information

See also
  _VlFileMeta

## Field Documentation

## ◆ active

vl_bool VlFileMeta::active

Is the file active?

## ◆ file

FILE* VlFileMeta::file

Current file stream

## ◆ name

char VlFileMeta::name[1024]

Current file name

## ◆ pattern

char VlFileMeta::pattern[1024]

File name pattern

## ◆ protocol

int VlFileMeta::protocol

File protocol

The documentation for this struct was generated from the following file:

- generic-driver.h